%if (0%{?fedora} == 0 && 0%{?rhel} <= 5)
%global building_for_el5 1
%else
%global building_for_el5 0
%endif

Summary: Base HTCondor database for wallaby
Name: condor-wallaby-base-db
Version: 1.25
Release: 1%{?dist}
Group: Applications/System
License: ASL 2.0
URL: http://git.fedorahosted.org/git/grid/wallaby-condor-db.git
Source0: https://fedorahosted.org/releases/g/r/grid/%{name}-%{version}.tar.gz

%if %{building_for_el5}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%endif
Requires: wallaby-utils >= 0.14.2-2
BuildRequires: ruby
%if ! %{building_for_el5}
BuildRequires: rubygem-rake
%endif
BuildArch: noarch

%description
A default database to be loaded into wallaby that provides configuration
options for a HTCondor pool

%prep
%setup -q


%build
%if %{building_for_el5}
db_ver=`cat DB_VERSION`
sed "s/<.*db_version.*>/$db_ver/" condor-base-db.snapshot.in > condor-base-db.snapshot
%else
rake
%endif

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_localstatedir}/lib/condor-wallaby-base-db
mkdir -p %{buildroot}/%{_localstatedir}/lib/wallaby
mkdir -p %{buildroot}/%{_localstatedir}/lib/wallaby/patches
cp condor-base-db.snapshot %{buildroot}/%{_localstatedir}/lib/condor-wallaby-base-db
cp -r patches %{buildroot}/%{_localstatedir}/lib/wallaby

# Unwanted db patch files.
rm -f %{buildroot}/%{_localstatedir}/lib/wallaby/patches/db-1.1.wpatch
rm -f %{buildroot}/%{_localstatedir}/lib/wallaby/patches/db-1.2.wpatch
rm -f %{buildroot}/%{_localstatedir}/lib/wallaby/patches/db-1.3.wpatch
rm -f %{buildroot}/%{_localstatedir}/lib/wallaby/patches/db-1.4.wpatch

%if %{building_for_el5}
%clean
rm -rf %{buildroot}
%endif

%files
%if %{building_for_el5}
%defattr(-, root, root, -)
%endif
%doc LICENSE
%{_localstatedir}/lib/condor-wallaby-base-db/condor-base-db.snapshot
%defattr(-, wallaby, wallaby, -)
%{_localstatedir}/lib/wallaby/patches/db-1.5.wpatch
%{_localstatedir}/lib/wallaby/patches/db-1.6.wpatch
%{_localstatedir}/lib/wallaby/patches/db-1.7.wpatch
%{_localstatedir}/lib/wallaby/patches/db-1.8.wpatch
%{_localstatedir}/lib/wallaby/patches/db-1.9.wpatch
%{_localstatedir}/lib/wallaby/patches/db-1.10.wpatch
%{_localstatedir}/lib/wallaby/patches/db-1.11.wpatch
%{_localstatedir}/lib/wallaby/patches/db-1.12.wpatch
%{_localstatedir}/lib/wallaby/patches/db-1.13.wpatch
%{_localstatedir}/lib/wallaby/patches/db-1.14.wpatch
%{_localstatedir}/lib/wallaby/patches/db-1.15.wpatch
%{_localstatedir}/lib/wallaby/patches/db-1.16.wpatch
%{_localstatedir}/lib/wallaby/patches/db-1.17.wpatch
%{_localstatedir}/lib/wallaby/patches/db-1.18.wpatch
%{_localstatedir}/lib/wallaby/patches/db-1.19.wpatch
%{_localstatedir}/lib/wallaby/patches/db-1.20.wpatch
%{_localstatedir}/lib/wallaby/patches/db-1.21.wpatch
%{_localstatedir}/lib/wallaby/patches/db-1.22.wpatch
%{_localstatedir}/lib/wallaby/patches/db-1.23.wpatch
%{_localstatedir}/lib/wallaby/patches/db-1.24.wpatch
%{_localstatedir}/lib/wallaby/patches/db-1.25.wpatch

%changelog
* Thu Nov 29 2012 rrati <rrati@redhat> - 1.25-1
- Swapped PlumageStats and PlumageJobHistory feature names
- Updated PluageJobHistory to better handle HA scheduler setups

* Thu Nov  8 2012 rrati <rrati@redhat> - 1.24-2
- Updated for branding change to HTCondor

* Fri Oct 12 2012 rrati <rrati@redhat> - 1.24-1
- New Features: ViewServer, ViewServerSource, PlumageStats, PlumageJobHistory
                AviaryLocator, AviaryPublishingEnabled,
                AviarySchedulerPublisher, QueryServerPublisher
- New Parameters to support the new features
- Annotations on features, groups, and subsystems
- Bugs fixed: BZ864984, BZ839415, BZ831756, BZ831725, BZ831723, BZ831721
              BZ831719, BZ831710, BZ831709, BZ803359
- Patch files owned by wallaby user (BZ767272)

* Thu Aug 30 2012 rrati <rrati@redhat> - 1.23-1
- Fixed issue with the shadow and gridmanager not using the same SPOOL
  location as the HAScheduler

* Mon Jun 27 2012 rrati <rrati@redhat> - 1.22-5
- Fixed values for MAXJOBRETIREMENTTIME, ROOSTER_MAX_UNHIBERNATE,
  SCHEDD_PREEMPTION_RANK on their respective features

* Mon Jun  4 2012 rrati <rrati@redhat> - 1.22-4
- Reverted changes to UNHIBERNATE parameter (revert BZ803359)

* Fri Jun  1 2012 rrati <rrati@redhat> - 1.22-3
- Removed annotations from database and patches (revert BZ802823)
- Removed locator features from database and patches (partial revert BZ800660)
- Database patch files are owned by root (revert BZ767272)
- Lowered required version of wallaby-utils

* Fri May 11 2012 rrati <rrati@redhat> - 1.22-2
- Database snapshot file should not by owned by user wallaby

* Fri May 11 2012 rrati <rrati@redhat> - 1.22-1
- Updated wallaby-utils dep
- Database patches are now owned by user wallaby (BZ767272)
- Added Parameters: COLLECTOR_UPDATE_INTERVAL, ENABLE_RUNTIME_CONFIG
                    NEGOTIATOR.ENABLE_RUNTIME_CONFIG (BZ816278)
- Updated ConsoleNegotiator feature (BZ816715)
- Updated Collector feature (BZ816718)

* Wed Apr 18 2012 rrati <rrati@redhat> - 1.21-1
- Added annotations (BZ802823)
- *_PLUGINS no longer allow values set on a local machine (BZ812126)

* Tue Apr  3 2012 rrati <rrati@redhat> - 1.20-1
- Updates for Aviary Locator support (BZ800660)
- Updated Job/Query Server feature definitions (BZ806071)
- Added parameter VM_NETWORKING_BRIDGE_INTERFACE (BZ806079)
- DAEMON_LIST doesn't require a restart (BZ807738)
- Updated UNHIBERNATE parameter (BZ803359)

* Wed Dec 14 2011 rrati <rrati@redhat> - 1.19-1
- New Param: ALL_DEBUG
- Fixed typo in DedicatedResource
- The STARTD_ATTRS parameter now correctly appends in DedicatedResource
- Attached MASTER.USE_PROCD to the master subsystem

* Fri Dec 9 2011 rrati <rrati@redhat> - 1.18-1
- New params: MASTER.USE_PROCD, RESTART_PROCD_ON_ERROR, COLLECTOR_ARGS,
              SHARED_PORT_ARGS
- *_PLUGINS now allow values set on a local machine
- Added build dep on rake

* Thu Dec 1 2011 rrati <rrati@redhat> - 1.17-1
- Added SCHEDD.SPOOL and SCHEDD.HISTORY params
- Updated BaseHAScheduler to use new SCHEDD.* params

* Mon Oct 10 2011 rrati <rrati@redhat> - 1.16-2
- Fixed issue with incorect db version metadata in patch files

* Fri Sep 30 2011 rrati <rrati@redhat> - 1.16-1
- Renamed Aviary security feature
- Added SSL functionality for QueryServer
- Updated wallaby-utils dep

* Mon Aug 29 2011 rrati <rrati@redhat> - 1.15-1
- Added a v before BaseDBVersion number
- Added SSL functionality for Aviary
- Added UPDATE_INTERVAL to startd subsystem
- Updated low-latency params to use CAROD subsystem
- Added ability for other watchdog agents to manage an HA Scheduler setup 
  via BaseHAScheduler feature

* Thu Jun 23 2011 rrati <rrati@redhat> - 1.14-1
- Added BaseScheduler dependency to AviaryScheduler
- Edited dependencies on Scheduler/HAScheduler
- Removed all SEC_* params from all features except Master
- Added FS, NTLM to SEC_DEFAULT_AUTHENTICATION_METHODS on Master
- All SEC_* params now are neither must_change or needs_restart
- New Param: UPDATE_INTERVAL

* Fri Jun  3 2011 rrati <rrati@redhat> - 1.13-1
- Updated VALID_SPOOL_FILES on PowerManagementCollector Feature
- Updated ROOSTER_WAKEUP_CMD on PowerManagementSubnetManager

* Wed Apr 13 2011 rrati <rrati@redhat> - 1.12-1
- Updated WSFCPP_HOME location
- Added deps of Master, JobQueueLocation to QueryServer feature

* Tue Apr  5 2011 rrati <rrati@redhat> - 1.11-1
- All plugin definitions in features now append

* Tue Apr  5 2011 rrati <rrati@redhat> - 1.10-1
- Added Features: AviaryScheduler, Axis2Home, QueryServer
- Added Parameters: QUERY_SERVER.QUERY_SERVER_LOG, QUERY_SERVER.SCHEDD_NAME
                    QUERY_SERVER.QUERY_SERVER_DEBUG, QUERY_SERVER.HTTP_PORT,
                    QUERY_SERVER_ARGS, QUERY_SERVER, SCHEDD.HTTP_PORT
                    QUERY_SERVER.HISTORY_INTERVAL, WSFCPP_HOME
- Added Subsystems: query_server
- Updated job_server subsystem to care about SPOOL parameter

* Tue Mar 29 2011 rrati <rrati@redhat> - 1.9-1
- Added Features: SharedPort
- Added Parameters: DAEMON_SOCKET_DIR,SHARED_PORT,SHARED_PORT_DEBUG,
  USE_SHARED_PORT
- Added Subsystems: shared_port
- Updated Subsystems to include new QMF params
- Minor fixes to kind/type metadata: capitalization & fixed types
- Fix URL location

* Wed Mar 16 2011 rrati <rrati@redhat> - 1.8-1
- Added params EC2_GAHP_LOG, GRIDMANAGER_MAX_SUBMITTED_JOBS_PER_RESOURCE_EC2
  EC2_GAHP, GRIDMANAGER_MAX_SUBMITTED_JOBS_PER_RESOURCE_AMAZON
- Updated EC2 Feature to add above features
- Changed AMAZON_GAHP to not require restart

* Tue Mar  8 2011 rrati <rrati@redhat> - 1.7-2
- Fixed changelog

* Tue Mar  8 2011 rrati <rrati@redhat> - 1.7-1
- Added features PowerManagementNode, PowerManagementCollector,
  PowerManagementSubnetManager
- Added params related to new features
- Added QMF authentication params
- Updated TriggerService feature to enable absent node detection
- Added ENABLE_ABSENT_NODES_DETECTION param

* Tue Feb  8 2011 rrati <rrati@redhat> - 1.6-1
- Updated TriggerService to set DC_DAEMON_LIST
- Fixed setting of CONDOR_HOST in HACentralManager feature

* Wed Jan  5 2011 rrati <rrati@redhat> - 1.5-2
- Removed garbage at beginning of snapshot file

* Thu Dec 23 2010 rrati <rrati@redhat> - 1.5-1
- Removed SEC_DEFAULT_INTEGRITY and SEC_DEFAULT_ENCRYPTION from the Master
  feature
- Added BaseDBVersion feature and parameter

* Mon Sep 27 2010 willb <willb@redhat> - 1.4-5
- BZ 637200:  All SEC_(.*) parameters now require a restart.

* Mon Sep 20 2010 rrati <rrati@redhat> - 1.4-4
- Removed ConsoleSchedulerForJobServer feature
- Moved QUEUE_ALL_USERS_TRUSTED to the ConsoleScheduler feature

* Tue Aug 31 2010 rrati <rrati@redhat> - 1.4-3
- Fixed setting of CONDOR_HOST in HACentralManager feature

* Tue Aug 17 2010 rrati <rrati@redhat> - 1.4-2
- Fixed setting of DATA param in TriggerService
- DATA no longer has a default value

* Wed Aug 11 2010 rrati <rrati@redhat> - 1.4-1
- Created BaseJobExecuter feature
- Scheduler feature now has correct params for Local Universe
- Fixed SCHEDD_PREEMPTION_REQUIREMENTS value in SchedulerDedicatedPreemption

* Tue Jul 27 2010 rrati <rrati@redhat> - 1.3-2
- Fixed setting of parameters that require user input

* Tue Jul 27 2010 rrati <rrati@redhat> - 1.3-1
- Removed Credd feature and releated parameters/subsystems
- Added LOG related parameters for LowLatency and JobHooks
- Removed LIBEXEC and parameter deps on it

* Wed Jun 23 2010 rrati <rrati@redhat> - 1.2-1
- Separated QMF parameters into features starting with Console
- Added JobServer feature
- *.PLUGINS attributes require restart if changed
- Changed carod subsystem to ll_daemon
- Added ADDRESS_FILE params for/to all daemoncore daemons
- Re-org for Scheduler/QMF based features
- DEDICATEDSCHEDULER must now be set by the user.  No default value provided
- Tweak to the Dedicated Scheduler
- Added many more parameters

* Thu Jun 10 2010 rrati <rrati@redhat> - 1.1-0.7
- Added kbdd feature/subsystem and supporting params
- Removed old explicit subsystem entries
- Removed the QMF plugin configuration from the Collector feature and added
  a ConsoleCollector feature
- Added MASTER param and the Master feature now defines the MASTER executabl
- Added LL_BROKER params to the LowLatency feature
- All changes to hook or binary paths require a restart
- Changed location of base db snapshot installation

* Fri May 21 2010 rrati <rrati@redhat> - 1.1-0.6
- Changed value for COLLECTOR_NAME to "Wallaby Configured Pool"

* Fri May 21 2010 rrati <rrati@redhat> - 1.1-0.5
- Fixed setting of COLLECTOR_NAME.  The Master feature sets it to "", and
  the Collector feature will set it to $(FULL_HOSTNAME)

* Thu May 20 2010 rrati <rrati@redhat> - 1.1-0.4
- Tightened security a bit.  The Master Feature no longer gives the host
  AMINISTRATOR level access
- Removed the VM_BRIDGE_SCRIPT parameter

* Tue Mar 09 2010 rrati <rrati@redhat> - 1.1-0.3
- Added LL_DAEMON to LowLatency feature
- Added JobHooks feature and LowLatency depends upon it

* Thu Mar 04 2010 rrati <rrati@redhat> - 1.1-0.2
- Fixed revision history dates

* Thu Mar 04 2010 rrati <rrati@redhat> - 1.1-0.1
- Added feature NodeAccess, and all features affecting DAEMON_LIST depend
  upon it now
- Changed DynamicProvisioning -> DynamicSlots
- Added LIBVIRT_XML_SCRIPT param and added it to VMUniverse
- Set COLLECTOR_NAME = $(CONDOR_HOST)
- Removed ALLOW_WRITE_DAEMON, ALLOW_READ_STARTD, ALLOW_READ_COLLECTOR,
  ALLOW_READ_DAEMON, ALLOW_WRITE_COLLECTOR, ALLOW_WRITE_STARTD params
- FETCHWORKDELAY now requires a daemon restart when changed

* Wed Feb 24 2010 rrati <rrati@redhat> - 1.0-0.4
- Fixed location of StartdPlugin for ExecuteNode

* Tue Feb 23 2010 rrati <rrati@redhat> - 1.0-0.3
- Added UID_DOMAIN and FILESYSTEM_DOMAIN params & features that use them

* Fri Feb 19 2010 rrati <rrati@redhat> - 1.0-0.2
- Removed default values for parameters that must be set when used

* Wed Feb 11 2010 rrati <rrati@redhat> - 1.0-0.1
- Initial package
